Bug 1556412 - rubygem-sup: FTBFS in F28
Summary: rubygem-sup: FTBFS in F28
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-sup
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Shreyank Gupta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1556732
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:49 UTC by Fedora Release Engineering
Modified: 2018-03-27 06:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-25 22:44:59 UTC
Type: ---


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-14 23:49:51 UTC
Your package rubygem-sup failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24892388

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Dan Callaghan 2018-03-15 06:36:42 UTC
100% [78/78]  man/sup.1
ERROR:  While executing gem ... (RDoc::Error)
    error generating Redwood/ThreadViewMode.html: no implicit conversion of nil into String (TypeError)

Not sure how to get a proper stack trace or line number for the rdoc error though, hmm.

Comment 2 Dan Callaghan 2018-03-15 06:52:09 UTC
Okay, got it by using the prep'ped sources and running:

rdoc --op=asdf --format=darkfish lib man/* --debug

error generating Redwood/ThreadViewMode.html: no implicit conversion of nil into String (TypeError)
/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/token_stream.rb:64:in `escapeHTML'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/token_stream.rb:64:in `block in to_html'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/token_stream.rb:19:in `map'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/token_stream.rb:19:in `to_html'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/markup.rb:114:in `markup_code'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/template/darkfish/class.rhtml:168:in `block (5 levels) in generate_class'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/template/darkfish/class.rhtml:125:in `each'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/template/darkfish/class.rhtml:125:in `block (4 levels) in generate_class'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/template/darkfish/class.rhtml:118:in `each'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/template/darkfish/class.rhtml:118:in `block (3 levels) in generate_class'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/template/darkfish/class.rhtml:116:in `each'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/template/darkfish/class.rhtml:116:in `block (2 levels) in generate_class'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/context.rb:765:in `block in each_section'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/context.rb:764:in `each'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/context.rb:764:in `each_section'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/template/darkfish/class.rhtml:54:in `block in generate_class'
	/usr/share/ruby/erb.rb:885:in `eval'
	/usr/share/ruby/erb.rb:885:in `result'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/darkfish.rb:753:in `template_result'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/darkfish.rb:732:in `block in render_template'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/darkfish.rb:727:in `open'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/darkfish.rb:727:in `open'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/darkfish.rb:727:in `render_template'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/darkfish.rb:356:in `generate_class'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/darkfish.rb:382:in `block in generate_class_files'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/darkfish.rb:379:in `each'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/darkfish.rb:379:in `generate_class_files'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/generator/darkfish.rb:246:in `generate'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/rdoc.rb:533:in `block in generate'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/rdoc.rb:528:in `chdir'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/rdoc.rb:528:in `generate'
	/usr/share/gems/gems/rdoc-6.0.1/lib/rdoc/rdoc.rb:507:in `document'
	/usr/bin/rdoc:20:in `<main>'

Comment 3 Dan Callaghan 2018-03-15 07:09:30 UTC
Okay, found it. The token making rdoc choke was:

{:line_no=>771, :char_no=>59, :kind=>:on_ignored_nl, :text=>nil, :state=>#<Ripper::Lexer::State: EXPR_END>}

So this is:
https://github.com/ruby/rdoc/issues/585

which is apparently fixed in master of rdoc though not in any release.

Comment 4 Dan Callaghan 2018-03-15 07:11:24 UTC
The code in question is in lib/sup/modes/thread_view_mode.rb line 771:

    linetext = @text.slice(curpos, @text.length).flatten(1)
      .take_while{|d| d[0] == :text_color and d[1].strip != ""} # Only take up to the first "" alone on its line
      .map{|d| d[1].strip}.join("").strip

Comment 5 Dan Callaghan 2018-03-22 22:51:27 UTC
For now, bug 1556732 is fixed in rawhide but not F28. So this is building again for F29+ but still failing in F28. I have asked on bug 1556732 if the fixed can be backported.

Comment 6 Dan Callaghan 2018-03-25 22:44:59 UTC
This is built in F28 now too.

Comment 7 Vít Ondruch 2018-03-26 07:50:14 UTC
You probably want to submit Bodhi update ...

Comment 8 Dan Callaghan 2018-03-26 22:43:28 UTC
I don't think there is any need, is there? The rubygem-sup code itself has not changed at all. The new build will be the same as the rubygem-sup-0.21.0-7.fc27 one which is already in F28.

Comment 9 Vít Ondruch 2018-03-27 06:01:06 UTC
(In reply to Dan Callaghan from comment #8)
> I don't think there is any need, is there?

If that was conscious decision, then it is fine with me. People just forget sometimes ;)

Comment 10 Dan Callaghan 2018-03-27 06:11:56 UTC
Oh, well thanks for the reminder. :-) Looks like we'll get a fresh build soon for bug 1003402 anyway.


Note You need to log in before you can comment on or make changes to this bug.